# https://docker-mailserver.github.io/docker-mailserver/edge/config/security/rspamd/#dkim-signing
enabled = {{ mailserver_enable_dkim and mailserver_use_rspamd | ternary('true', 'false') }};

# Default path to key, can include '$domain' and '$selector' variables
# path = "/var/lib/rspamd/dkim/$domain.$selector.key";
path = "{{ mailserver_internal_rspamd_dkim_key_dir }}/$domain/keys/$selector.private";

# Default selector to use
selector = "{{ mailserver_rspamd_dkim_selector }}";


sign_authenticated = true;
sign_local = true;

use_domain = "header";
use_redis = false; # don't change unless Redis also provides the DKIM keys
use_esld = true;
check_pubkey = true;

domain {
{% for domain in mailserver_domains %}
  {{ domain }} {
    path = "{{ mailserver_internal_rspamd_dkim_key_dir }}/{{ domain }}/keys/{{ mailserver_rspamd_dkim_selector }}.private";
    selector = "{{ mailserver_rspamd_dkim_selector }}";
  }
{% endfor %}
}
